Bug 741063

Summary: Preupgrade fails F15 > F16 dracut: FATAL: cannot mount live image ( unknown filesytem type )
Product: [Fedora] Fedora Reporter: Alex K <ak>
Component: preupgradeAssignee: Richard Hughes <hughsient>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 16CC: ak, andreabravetti, harald, hughsient, jonathan, kay, lsof, mail, maurizio.antillon, mbrancaleoni, me, stefano.cavallari
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
See Also: https://bugzilla.redhat.com/show_bug.cgi?id=734830
https://bugzilla.redhat.com/show_bug.cgi?id=735199
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 09:32:53 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Dracut failure and kernel panic screenshot none

Description Alex K 2011-09-24 15:44:28 EDT
Description of problem: Performed yum preupgrade on fedora 15 on reboot kickstart fails with dracut: FATAL: cannot mount live image ( unknown filesytem type ). This followed by a kernel panic. 


Version-Release number of selected component (if applicable): f15 > f16-alpha


How reproducible: Perform yum upgrade in fc15 with default config

AHCI disk


Steps to Reproduce:
1. yum preupgrade
2. reboot
3. boot the installer
  
Actual results: Failed install


Expected results: mount live image and continue boot.


Additional info: Default f15 install with latest upgrades as of today.
Comment 1 Rob Riggs 2011-10-07 21:56:15 EDT
Created attachment 526985 [details]
Dracut failure and kernel panic screenshot

I get a similar problem attempting to preupgrade a virtual machine from F15 to F16B.
Comment 2 Matteo Brancaleoni 2011-10-11 14:14:02 EDT
Same issue here, same error.

System: 
FC15 x86_64 installed from scratch, fully updated as of today.
i920 cpu
2 RTL8111/8168B nics
7 sata disks in raid1 and raid10 configuration
Comment 3 Andrea 2011-10-15 02:20:26 EDT
Same problem here.

F14->F16B preupgrade.

F14 i686 on HP Mini 110.
Comment 4 Andrea 2011-10-15 02:46:26 EDT
dont know if it will help but:

[root@mini77 upgrade]# pwd
/boot/upgrade
[root@mini77 upgrade]# file initrd.img
initrd.img: xz compressed data
[root@mini77 upgrade]# unxz -t initrd.img 
unxz: initrd.img: Compressed data is corrupt
Comment 5 Need Real Name 2011-10-19 05:05:21 EDT
I have the same problem. I suspect a dodgy mirror (and a bug in the code to verify this file) since I could only get preupgrade to complete by running it multiple times after it failing lots of times due to bad checksums.
Comment 6 Need Real Name 2011-10-19 05:10:52 EDT
It looks like there really is no checksum check for the initrd (slightly worrying!):

Trying other mirror.
http://fedora.uib.no/fedora/linux/development/16/x86_64/os/images/pxeboot/vmlinuz: [Errno 14] HTTP Error 404 - Not Found : http://fedora.uib.no/fedora/linux/development/16/x86_64/os/images/pxeboot/vmlinuz
Trying other mirror.
http://mirrors.ircam.fr/pub/fedora/linux/development/16/x86_64/os/images/pxeboot/vmlinuz: [Errno 14] HTTP Error 404 - Not Found : http://mirrors.ircam.fr/pub/fedora/linux/development/16/x86_64/os/images/pxeboot/vmlinuz
Trying other mirror.
vmlinuz                                                  | 4.2 MB     00:04     
initrd.img                                               | 128 MB     01:12     
Checking for new repos for mirrors

# cd /boot/upgrade/
# unxz -t initrd.img 
unxz: initrd.img: Compressed data is corrupt
Comment 7 Harald Hoyer 2011-10-19 07:31:19 EDT
(In reply to comment #6)
> It looks like there really is no checksum check for the initrd (slightly
> worrying!):
> 
> Trying other mirror.
> http://fedora.uib.no/fedora/linux/development/16/x86_64/os/images/pxeboot/vmlinuz:
> [Errno 14] HTTP Error 404 - Not Found :
> http://fedora.uib.no/fedora/linux/development/16/x86_64/os/images/pxeboot/vmlinuz
> Trying other mirror.
> http://mirrors.ircam.fr/pub/fedora/linux/development/16/x86_64/os/images/pxeboot/vmlinuz:
> [Errno 14] HTTP Error 404 - Not Found :
> http://mirrors.ircam.fr/pub/fedora/linux/development/16/x86_64/os/images/pxeboot/vmlinuz
> Trying other mirror.
> vmlinuz                                                  | 4.2 MB     00:04     
> initrd.img                                               | 128 MB     01:12     
> Checking for new repos for mirrors
> 
> # cd /boot/upgrade/
> # unxz -t initrd.img 
> unxz: initrd.img: Compressed data is corrupt

This is most likely several initramfs images concatenated together... the kernel can cope with this.
Comment 8 Need Real Name 2011-10-19 10:50:02 EDT
Fair enough. How can I troubleshoot this?
Comment 9 Need Real Name 2011-10-20 01:52:39 EDT
It doesn't fix the underlying problem, but I used this workaround:

wget -O /boot/upgrade/vmlinuz "http://www.mirrorservice.org/sites/download.fedora.redhat.com/pub/fedora/linux/development/16/x86_64/os/images/pxeboot/vmlinuz"
wget -O /boot/upgrade/initrd.img "http://www.mirrorservice.org/sites/download.fedora.redhat.com/pub/fedora/linux/development/16/x86_64/os/images/pxeboot/initrd.img"
restorecon -Rv /boot/upgrade
Comment 10 Matteo Brancaleoni 2011-10-28 14:14:04 EDT
As of today, seems than preupgrade is able to start anaconda, but fails with an exception.

Reported here:

https://bugzilla.redhat.com/show_bug.cgi?id=749862
Comment 11 Fedora End Of Life 2013-01-16 08:41:15 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Fedora End Of Life 2013-02-13 09:32:59 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.